﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace WindowsFormsApplication5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
                
        UltraGridRow eRow;
        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraDataSource1.Rows.Add(new object[] { new DateTime(2011, 3, 7), "R"});
            this.ultraDataSource1.Rows.Add(new object[] { new DateTime(2011, 3, 7), "R" });
            this.ultraDataSource1.Rows.Add(new object[] { new DateTime(2011, 3, 7), "T" });
            this.ultraDataSource1.Rows.Add(new object[] { new DateTime(2011, 3, 8), "R" });
            this.ultraDataSource1.Rows.Add(new object[] { new DateTime(2011, 3, 8), "T" });
            this.ultraDataSource1.Rows.Add(new object[] { new DateTime(2011, 3, 7), "E" });

            // Find the row with the "E" for it's type and store a reference to it. 
            foreach (UltraGridRow row in this.ultraGrid1.Rows)
            {
                if (row.GetCellValue("Type").ToString() == "E")
                {
                    this.eRow = row;
                    break;
                }
            }
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortSingle;

           
        }

        private void ultraGrid1_AfterSortChange(object sender, BandEventArgs e)
        {            
            // Make sure the "E" row is last. 
            if (this.eRow != null)
            {
                eRow.ParentCollection.Move(eRow, eRow.ParentCollection.Count - 1);
            }
        }
    }
}
